Bug 6616 - (int-149594) Mahjong: Łamigłówka (Confounding cross) does not display high score time in Polish
(int-149594)
: Mahjong: Łamigłówka (Confounding cross) does not display high score time in P...
Status: RESOLVED FIXED
Product: Games
Mahjong
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: mahjong-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-06 01:42 UTC by qbitstorm
Modified: 2010-03-15 21:10 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description qbitstorm (reporter) 2009-12-06 01:42:49 UTC
SOFTWARE VERSION: 1.2009.42-11
(Settings > General > About product)

PREREQUISITE:
N900 with Polish i18n set

EXACT STEPS LEADING TO PROBLEM: 
1. Run Mahjong
2. Select 'Plansza: Łamigłówka' from combo box in main screen
3. Start game and finish it
4. Best score isn't set for this level (Łamigłówka)

EXPECTED OUTCOME:
Score for level 'Łamigłówka' should be set

ACTUAL OUTCOME:
Score for level 'Łamigłówka' isn't set

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
irrelevant

OTHER COMMENTS:
There's is a string mismatch between value in combo box in game's main screen
and list in high scores screen: 'Łamigłówka' vs 'Krzyżyk łamigłówka'. That's
likely reason why it doesn't work as expected. Simple i18n fix should solve
this problem.

User-Agent:       Opera/9.80 (Windows NT 5.1; U; pl) Presto/2.2.15
Version/10.00
Comment 1 Andre Klapper maemo.org 2009-12-06 09:16:30 UTC
Thanks for reporting this.

I can confirm this in internal version 49-3.

OTHER COMMENTS:
The former achieved best time in Confounding cross does get displayed after
switching to english language it seems.
Comment 2 Andre Klapper maemo.org 2010-01-18 14:56:59 UTC
This has been fixed in package
osso-mahjong 1.8.03-1+0m5
which is part of the internal build version
2010.02-6
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 21:10:40 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).